
QGIS Application - Bug report #15175

Digitizing: "Fill Ring" tool doesn't consider all the overlapping features

2016-06-29 05:51 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23114

Description

Open a layer, toggle to edition and add two polygon features that overlap.

select the "Fill Ring" tool and add a ring somewhere in the place the two features overlap.

Only the first feature contains a filled hole, the second feature is still intact.

If the features are selected beforehand, only the first feature is again pierced, ignoring the selection of the second feature.

I think in both case, both features should contain a hole, though only one feature would be added in the holes.

If the user wants only one feature to be pierced, he should select only that one.

Related issues:

Related to QGIS Application - Bug report # 15174: Digitizing: "Add Ring" tool... Open 2016-06-29

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-02-27 07:13 PM - Harrissou Santanna

- Affected QGIS version changed from 2.14.3 to 3.0.0

- Description updated

#3 - 2018-02-27 07:15 PM - Harrissou Santanna

Btw, this is true for the Add ring tool ( it should create the hole for all features unless there's a selection)

#4 - 2018-02-27 07:15 PM - Harrissou Santanna

- Related to Bug report #15174: Digitizing: "Add Ring" tool doesn't consider all the overlapping features added

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
#6 - 2019-03-09 03:30 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
